#property  copyright "Copyright  2011, sangmane."
#property  link      "sangmane@forexfactory.com" 
  
#import "EasyOrder.dll"
   int EasyOrder_Draw(int hwnd);
   
#include <stdlib.mqh>
#include <stderror.mqh>

int start()
{	
	string obj;
	int i;
	int hwnd = WindowHandle(Symbol(),Period());
	int trade = EasyOrder_Draw(hwnd);
	if(trade<0) {
		for(i=ObjectsTotal()-1; i>=0; i--) {
			obj = ObjectName(i);
			if(StringFind(obj,"EASYORDER",0)>=0) ObjectDelete(obj);
		}		
		return;
	}
	trade -= 1;
	double pip=Point;
	if(Digits==3 || Digits==5) pip = 10*Point;
	RefreshRates();
	double atr = iATR(NULL,0,10,1);
	
	string desc[3] = {"SL", "Price", "TP"};
	color clr[3] = {Red, Gold, Lime};
	double lines[3];
		
	for(i=ObjectsTotal()-1; i>=0; i--) {
		obj = ObjectName(i);
		if(StringFind(obj,"EASYORDER_NEW_",0)>=0)
			ObjectDelete(obj);
	}

	RefreshRates();	
	switch(trade) {
		case 0:	lines[0] = Ask-20.0*pip; 	   lines[1] = Ask; 				lines[2] = Ask+20.0*pip; break;
		case 1:	lines[0] = Bid+20.0*pip; 	   lines[1] = Bid; 				lines[2] = Bid-20.0*pip; break;
		case 2:	lines[0] = Ask-30.0*pip;		lines[1] = Ask-10.0*pip; 	lines[2] = Ask+10.0*pip; break;
		case 3:	lines[0] = Bid+30.0*pip;		lines[1] = Bid+10.0*pip; 	lines[2] = Bid-10.0*pip; break;
		case 4:	lines[0] = Ask-10.0*pip;		lines[1] = Ask+10.0*pip; 	lines[2] = Ask+30.0*pip; break;
		case 5:	lines[0] = Bid+10.0*pip;		lines[1] = Bid-10.0*pip; 	lines[2] = Bid-30.0*pip; break;
		default: return;
		
	}
	for(i=0; i<3; i++) {
		obj = "EASYORDER_NEW_"+desc[i];
		if(ObjectFind(obj)>=0) ObjectDelete(obj);
		ObjectCreate(obj, OBJ_HLINE,0,Time[0],lines[i]);
		ObjectSet(obj,OBJPROP_WIDTH,1);
		ObjectSet(obj,OBJPROP_COLOR,clr[i]);
	}
	return;
}



//+------------------------------------------------------------------+